.left-message-container {
  border: 2px solid var(--border);
  border-radius: 1rem;
  overflow-y: scroll;
  height: 20rem;
  box-sizing: border-box;
  margin-bottom: 1rem;
  max-width: 582.28px;
}

.left-message-container {
  scrollbar-width: none;
  -ms-overflow-style: none;
}

.left-message-container::-webkit-scrollbar {
  display: none;
}

.left-message-container .left-message-wrapper .search-meassage {
  padding: 1rem;
  border-bottom: 2px solid var(--border);
  box-sizing: border-box;
  display: flex;
  align-items: center;
}

.left-message-container .left-message-wrapper .search-meassage form {
  flex-grow: 1;
}

.left-message-container .left-message-wrapper .search-meassage svg {
  margin-right: 1rem;
  color: var(--text);
}

.left-message-container .left-message-wrapper .search-meassage input {
  padding: 0 1rem;
  border: 2px solid var(--border);
  height: 2rem;
  width: 100%;
  border-radius: 0.5rem;
  box-sizing: border-box;
}

.left-message-container .left-message-wrapper .search-meassage input:focus {
  outline: none;
}

.left-message-container .left-message-wrapper .message-list {
  padding: 1rem 1rem 0;
  box-sizing: border-box;
  border-bottom: 2px solid var(--border);
  display: flex;
  flex-direction: column;
  align-items: flex-start;
}

.left-message-container .left-message-wrapper .message-list .message-head {
  display: flex;
  align-items: center;
  width: 100%;
  padding-bottom: 1rem;
}

.left-message-container
  .left-message-wrapper
  .message-list
  .message-head
  .avatar-container {
  margin-right: 1rem;
  width: 50px;
  height: 50px;
  position: relative;
  overflow: hidden;
  background: var(--firstImage);
  border-radius: 50%;
}

.left-message-container
  .left-message-wrapper
  .message-list
  .message-head
  .avatar-container
  img {
  position: absolute;
  top: -9999px;
  bottom: -9999px;
  left: -9999px;
  right: -9999px;
  margin: auto;
  max-height: 70%;
}

.left-message-container
  .left-message-wrapper
  .message-list
  .message-head
  .head-detail-wrapper {
  display: flex;
  flex-direction: column;
  flex-grow: 1;
}

.left-message-container
  .left-message-wrapper
  .message-list
  .message-head
  .head-detail-wrapper
  p:first-child {
  margin: 0 0 0.5rem;
  font-size: 0.9rem;
  font-weight: bold;
}

.left-message-container
  .left-message-wrapper
  .message-list
  .message-head
  .head-detail-wrapper
  p:last-child {
  margin: 0 0 0.5rem;
  font-size: 0.8rem;
}

.left-message-container .left-message-wrapper .message-list .message-peak {
  word-break: break-all;
  display: flex;
  justify-content: center;
  text-align: justify;
  font-size: 0.8rem;
}

@media screen and (min-width: 420px) {
  .left-message-container
    .left-message-wrapper
    .message-list
    .message-head
    .head-detail-wrapper {
    flex-direction: row;
  }

  .left-message-container
    .left-message-wrapper
    .message-list
    .message-head
    .head-detail-wrapper
    p:last-child {
    margin-left: auto;
  }
}

@media screen and (min-width: 660px) {
  .left-message-container {
    margin: 0 2rem 1rem 0;
  }
}
